Bug 7395 - Black screen when starting X
: Black screen when starting X
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/xorg-x11)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2005-07-19 13:55 by
Modified: 2006-03-07 10:37 (History)


Attachments
для версии alt12 (41.36 KB, text/x-log)
2005-07-19 14:46, Valery Pipin
no flags Details
для версии alt11 (50.09 KB, text/x-log)
2005-07-19 14:47, Valery Pipin
no flags Details
font fixed not found (51.08 KB, text/x-log)
2005-07-19 16:25, Valery Pipin
no flags Details
другой лог для wks (50.91 KB, text/x-log)
2005-07-19 17:18, Valery Pipin
no flags Details
другой лог для wks (50.91 KB, text/x-log)
2005-07-19 17:19, Valery Pipin
no flags Details
текущий xorg.conf (3.67 KB, application/octet-stream)
2005-07-23 07:14, Valery Pipin
no flags Details
xorg.conf (1.54 KB, text/plain)
2005-07-23 10:32, Valery Inozemtsev
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-19 13:55:01
Появилось после обновления до xorg-x11-6.8.2-alt12 и сооответствующих модулей.
В alt11 все работало. Ядра и дрм:
kernel-image-std26-up-2.6.12-alt1
kernel-modules-drm-std26-up-2005.05.30-alt1.132620.1
kernel-image-wks26-up-2.6.11-alt4,
kernel-modules-drm-wks26-up-2005.05.30-alt1.132619.4
Видеокарта встроенная, 82865G Intel. Имеется лог для обоих случаев
(alt11,alt12)
------- Comment #1 From 2005-07-19 14:17:59 -------
логи в студию  
------- Comment #2 From 2005-07-19 14:46:58 -------
Created an attachment (id=1001) [details]
для версии alt12
------- Comment #3 From 2005-07-19 14:47:38 -------
Created an attachment (id=1002) [details]
для версии alt11
------- Comment #4 From 2005-07-19 15:23:20 -------
не воспроизводится. правда на той машине ядро 2.6.11-alt10 
------- Comment #5 From 2005-07-19 15:34:27 -------
А где его взять сейчас эту версию ядра?
------- Comment #6 From 2005-07-19 15:48:40 -------
на wks26-up-2.6.11-alt4 попробуйте  
------- Comment #7 From 2005-07-19 16:25:39 -------
Created an attachment (id=1004) [details]
font fixed not found
------- Comment #8 From 2005-07-19 16:28:29 -------
Это было для wks26-up-2.6.11-alt4. С этим ядром Х не находит fixed font
------- Comment #9 From 2005-07-19 16:35:57 -------
наличие фондов от ядра не зависит. 
# service xfs start 
------- Comment #10 From 2005-07-19 17:18:02 -------
Created an attachment (id=1005) [details]
другой лог для wks

с фонтами промашка вышла ( я перезапустился в single mode, когда х-ы зависли и
забыл про xfs). Лог для wks прилагается
------- Comment #11 From 2005-07-19 17:19:24 -------
Created an attachment (id=1006) [details]
другой лог для wks

с фонтами промашка вышла ( я перезапустился в single mode, когда х-ы зависли и
забыл про xfs). Лог для wks прилагается
------- Comment #12 From 2005-07-22 14:44:12 -------
судя по логам нормальный старт. что на экране? 
------- Comment #13 From 2005-07-22 14:51:40 -------
Экран черный. Судя по лампочке жеского диска что-то грузится еще секунд 5.
------- Comment #14 From 2005-07-22 21:04:21 -------
угу. /etc/X11/xorg.conf в студию  
------- Comment #15 From 2005-07-23 07:14:15 -------
Created an attachment (id=1012) [details]
текущий xorg.conf
------- Comment #16 From 2005-07-23 10:31:01 -------
после загрузки иксов кнопка монитора каким цветом горит? 
------- Comment #17 From 2005-07-23 10:32:26 -------
Created an attachment (id=1013) [details]
xorg.conf
------- Comment #18 From 2005-07-23 10:35:09 -------
возьмите новый конфиг, какой результат с ним? 
------- Comment #19 From 2005-07-23 11:05:31 -------
(In reply to comment #18) 
> возьмите новый конфиг, какой результат с ним 
Теперь работает со всеми ядрами,std26-up(smp)-2.6.12 и  
wks26-up-2.6.11. В чем конфиг был неправилен и почему 
предыдущая версия xorg с ним работает?      
 
------- Comment #20 From 2005-07-23 11:43:26 -------
см. секции Device и Screen. точно это можно сказать взглянув на Xorg.0.log  
------- Comment #21 From 2005-07-23 12:27:49 -------
(In reply to comment #20) 
> см. секции Device и Screen. точно это можно сказать взглянув на Xorg.0.log   
Разница показывает что теперь у меня нет drm. Для неработающего случая было  
< (II) I810(0): [DRI] installation complete 
< (II) I810(0): direct rendering: Enabled 
--- 
теперь 
--- 
> drmOpenDevice: open result is -1, (Unknown error 999) 
> drmOpenDevice: open result is -1, (Unknown error 999) 
> drmOpenDevice: Open failed 
> [drm] failed to load kernel module "i915" 
> (II) I810(0): [drm] drmOpen failed 
> (EE) I810(0): [dri] DRIScreenInit failed. Disabling DRI. 
...... 
> (II) I810(0): direct rendering: Failed 
1509,1521c1452 
< (II) I810(0): [drm] removed 1 reserved context for kernel 
 
коментирование опций dpms и displayinfo , а также bus id никчему ни привело 
x загружаются. аналогично относительно неработающих мод в разделе screen  
 
 
 
------- Comment #22 From 2005-07-23 12:36:59 -------
ядерный модуль не загружается 
------- Comment #23 From 2005-07-23 12:59:37 -------
Оказалось, что он не загружается только на ядре std26-smp-2.6.12. 
на std26-up-2.6.12 и wks26-up-2.6.11 drm включается.  
------- Comment #24 From 2005-07-23 13:06:32 -------
kernel-modules-drm-std26-smp установлен? 
------- Comment #25 From 2005-07-23 13:11:42 -------
(In reply to comment #24) 
> kernel-modules-drm-std26-smp установлен?  
конечно нет, сейчас установлю  и проверю